Subject: Re: [bess] [**EXTERNAL**] RE: CORRECTION WG Last Call, IPR and Implementation Poll for *draft-ietf-bess-evpn-geneve-03*

From: "Boutros, Sami" <[email-masked]>
Date: Tue, 28 Sep 2021 15:46:58 +0000

I support the publication and not aware of any IPR.

Thanks,

Sami
From: "UTTARO, JAMES" <[email-masked]>
Date: Tuesday, September 28, 2021 at 7:29 AM
To: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>, "Bocci, Matthew (Nokia - GB)" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [**EXTERNAL**] RE: CORRECTION WG Last Call, IPR and Implementation Poll for *draft-ietf-bess-evpn-geneve-03*
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, September 28, 2021 at 7:29 AM

Support.

Thanks,
              Jim Uttaro

From: BESS <[email-masked]> On Behalf Of Rabadan, Jorge (Nokia - US/Mountain View)
Sent: Tuesday, September 28, 2021 5:04 AM
To: Bocci, Matthew (Nokia - GB) <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: [bess] CORRECTION WG Last Call, IPR and Implementation Poll for *draft-ietf-bess-evpn-geneve-03*

As co-author, I support this document for publication as standards track RFC.
Not aware of any relevant IPR.

Thanks.
Jorge

From: Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, September 28, 2021 at 11:00 AM
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: CORRECTION WG Last Call, IPR and Implementation Poll for *draft-ietf-bess-evpn-geneve-03*
Folks

Please note this WG last call is for version 03 of the draft (not 02 as stated in the subject line of the email)

The link to the draft is: draft-ietf-bess-evpn-geneve-03 - EVPN control plane for Geneve<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-geneve/__;!!BhdT!3tci5SzjjkNZnS9HTgZ4_0eO7MKI-qOtnFvfS68Ac-DC-0H7t88nFLp5C8I$>

Apologies for the error.

Matthew

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 28 September 2021 at 09:56
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: [bess] WG Last Call, IPR and Implementation Poll for draft-ietf-bess-evpn-geneve-02
This email starts a two-week working group last call for draft-ietf-bess-evpn-geneve-03 [1]

Please review the draft and send any comments to the BESS list. Also, please indicate if you support publishing the draft as a Standards Track RFC.

This poll runs until the 15th October 2021

We are also polling for knowledge of any undisclosed IPR that applies to this document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an author or a contributor of this document, please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR. The document won't progress without answers from all the authors and contributors.
There are currently no IPR disclosures.

In addition, we are polling for knowledge of implementations of this draft, per the BESS policy in [2].

Thank you,
Matthew & Stephane

[1]  draft-ietf-bess-evpn-geneve-02 - EVPN control plane for Geneve<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-geneve/__;!!BhdT!3tci5SzjjkNZnS9HTgZ4_0eO7MKI-qOtnFvfS68Ac-DC-0H7t88nFLp5C8I$>
[2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw<https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw__;!!BhdT!3tci5SzjjkNZnS9HTgZ4_0eO7MKI-qOtnFvfS68Ac-DC-0H7t88nJ1roR2g$>

---

From: Anoop Ghanwani <[email-masked]>
Date: Tue, 28 Sep 2021 12:58:56 -0700

I support the publication of this draft.  I have the following comments
and suggested edits.

--

Technical comments

Section 4.1

I find this statement confusing

   While "local-bias" MUST be supported along with GENEVE encapsulation,
   the use of the Ethernet option-TLV is RECOMMENDED to follow the same
   procedures used by EVPN MPLS.

I'm not sure how it helps to carry an extra TLV when it is known
that its absence or presence results in identical behavior.

I also find the encoding confusing.  Why is the Type=0, instead of
using EVPN-OPTION with a length of 0x1 instead of 0x2?
What does Type=0 indicate?  Is this assigned by IANA?

Section 6

What is inter-AS option B?  Can we provide a reference?

Section 8

Doesn't IANA also need to allocate a codepoint for the
EVPN-OPTION type?

--

Editorial comments

Entire document

- 3 of the references listed as drafts are now RFCs.  Those should
  be fixed both in the reference section and in the text.

- There are several uses of GENEVE and Geneve in the document.
  Recommend replacing GENEVE with Geneve, including in the
  abbreviations and terminology section.

Section 1

Change

   This EVPN control plane extension will allow an NVE to express what
   Geneve option TLV types it is capable of receiving from, or sending
   to, over the Geneve tunnel with its peers.

To

   This EVPN control plane extension will allow an NVE to express what
   Geneve option TLV types it is capable of receiving or sending
   over the Geneve tunnel with its peers.

Section 4

Change

   This document adds an extension to the [I-D.ietf-nvo3-geneve
<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-geneve-03#ref-I-D.ietf-nvo3-geneve>]
   encapsulation that are relevant to the operation of EVPN.

To

   This document adds an extension to the [I-D.ietf-nvo3-geneve
<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-geneve-03#ref-I-D.ietf-nvo3-geneve>]
   encapsulation that is relevant to the operation of EVPN.

End

Section 4.1

Change

   [I-D.ietf-bess-evpn-overlay] describes when an ingress NVE uses
   ingress replication to flood unknown unicast traffic to the egress
   NVEs, the ingress NVE needs to indicate to the egress NVE that the
   Encapsulated packet is a BUM traffic type.

To

   [I-D.ietf-bess-evpn-overlay] describes when an ingress NVE uses
   ingress replication to flood unknown unicast traffic to the egress
   NVEs, the ingress NVE needs to indicate to the egress NVE that the
   Encapsulated packet is a BUM packet.

Change

   For GENEVE, we need a bit to for this purpose.

To

   For GENEVE, we need a bit for this purpose.

Expand first use of AC and add to abbreviations and terminology.

ecnapsulations -> encapsulations

GENVE -> Geneve

(There are 2 instances of this.)

"20- bit MPLS label" -> "20-bit MPLS label"

Add figure captions for the 2 figures showing the TLVs.

Expand first use of ES and ESI and add to abbreviations and terminology.

Change

   The ESI-label value is encoded in the high-order 20 bits
   of the Source-ESI field.

To

   The ESI-label value is encoded in the high-order 20 bits
   of the Source-ID field.

Change

   The egress NVEs that make use of ESIs in the data path because they
   have a local multi-homed ES or support [RFC8317
<https://datatracker.ietf.org/doc/html/rfc8317>] SHOULD advertise
   their Ethernet A-D per-ES routes along with the Geneve tunnel sub-TLV
   and in addition to the ESI-label Extended Community.

Remove "and".

On Tue, Sep 28, 2021 at 8:47 AM Boutros, Sami <sboutros=
[email-masked]> wrote:

> *From: *"UTTARO, JAMES" <[email-masked]>
> *Date: *Tuesday, September 28, 2021 at 7:29 AM
> *To: *"Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>,
> "Bocci, Matthew (Nokia - GB)" <[email-masked]>, "[email-masked]" <
> [email-masked]>
> *Cc: *"[email-masked]" <
> [email-masked]>
> *Subject: *[**EXTERNAL**] RE: CORRECTION WG Last Call, IPR and
> Implementation Poll for *draft-ietf-bess-evpn-geneve-03*
> *Resent-From: *<[email-masked]>
> *Resent-To: *<[email-masked]>, <[email-masked]>, <
> [email-masked]>, <[email-masked]>, <[email-masked]>
> *Resent-Date: *Tuesday, September 28, 2021 at 7:29 AM
>
>
>
> *Support.*
>
>
>
> *Thanks,*
>
> *              Jim Uttaro*
>
>
>
> *From:* BESS <[email-masked]> *On Behalf Of * Rabadan, Jorge
> (Nokia - US/Mountain View)
> *Sent:* Tuesday, September 28, 2021 5:04 AM
> *To:* Bocci, Matthew (Nokia - GB) <[email-masked]>; [email-masked]
> *Cc:* [email-masked]
> *Subject:* Re: [bess] CORRECTION WG Last Call, IPR and Implementation
> Poll for *draft-ietf-bess-evpn-geneve-03*
>
>
>
> *From: *Bocci, Matthew (Nokia - GB) <[email-masked]>
> *Date: *Tuesday, September 28, 2021 at 11:00 AM
> *To: [email-masked] <[email-masked]>
> *Cc: [email-masked] <
> [email-masked]>
> *Subject: *CORRECTION WG Last Call, IPR and Implementation Poll for
> *draft-ietf-bess-evpn-geneve-03*
>
> Folks
>
>
>
> The link to the draft is: draft-ietf-bess-evpn-geneve-03 - EVPN control
> plane for Geneve
> <https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-geneve/__;!!BhdT!3tci5SzjjkNZnS9HTgZ4_0eO7MKI-qOtnFvfS68Ac-DC-0H7t88nFLp5C8I$>
>
>
>
> Apologies for the error.
>
>
>
> Matthew
>
>
>
> *From: *BESS <[email-masked]> on behalf of Bocci, Matthew (Nokia -
> GB) <[email-masked]>
> *Date: *Tuesday, 28 September 2021 at 09:56
> *To: [email-masked] <[email-masked]>
> *Cc: [email-masked] <
> [email-masked]>
> *Subject: *[bess] WG Last Call, IPR and Implementation Poll for
> draft-ietf-bess-evpn-geneve-02
>
> Please review the draft and send any comments to the BESS list. Also,
> please indicate if you support publishing the draft as a Standards Track
> RFC.
>
>
>
> We are also polling for knowledge of any undisclosed IPR that applies to
> this document, to ensure that IPR has been disclosed in compliance with
> IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
>
>
>
> If you are listed as an author or a contributor of this document, please
> respond to this email and indicate whether or not you are aware of any
> relevant undisclosed IPR. The document won't progress without answers from
> all the authors and contributors.
>
> [1]  draft-ietf-bess-evpn-geneve-02 - EVPN control plane for Geneve
> <https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-geneve/__;!!BhdT!3tci5SzjjkNZnS9HTgZ4_0eO7MKI-qOtnFvfS68Ac-DC-0H7t88nFLp5C8I$>
>
> [2] https://mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw
> <https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/bess/cG3X1tTqb_vPC4rg56SEdkjqDpw__;!!BhdT!3tci5SzjjkNZnS9HTgZ4_0eO7MKI-qOtnFvfS68Ac-DC-0H7t88nJ1roR2g$>
>
>
>
>
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>